// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "IShaderData.hpp"

using namespace Dawn;

IShaderData::IShaderData(
  const std::shared_ptr<ShaderStructure> &structure
) : structure(structure) {
  data = (void *)malloc(structure->size);
}

IShaderData::~IShaderData() {
  if(data != nullptr) {
    free(data);
    data = nullptr;
  }
}