// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/Texture.hpp"
#include "display/shader/ShaderProgram.hpp"

namespace Dawn {
  struct IShaderData {
    protected:
      std::shared_ptr<ShaderStructure> structure;
      void *data = nullptr;

    public:
      IShaderData(
        const std::shared_ptr<ShaderStructure> &structure
      );

      virtual ~IShaderData();
  };
}