// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "display/shader/ShaderData.hpp"

using namespace Dawn;

ShaderData::ShaderData(
  const std::shared_ptr<ShaderStructure> &structure
) : IShaderData(structure) {
  glGenBuffers(1, &this->buffer);
}

ShaderData::~ShaderData() {
  if(this->buffer != -1) {
    glDeleteBuffers(1, &this->buffer);
    this->buffer = -1;
  }
}